Bug 736558 - Rename mozilla-firefox.desktop to firefox.desktop
Summary: Rename mozilla-firefox.desktop to firefox.desktop
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 16
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Martin Stransky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-08 04:50 UTC by Jeremy Bicha
Modified: 2018-04-11 18:44 UTC (History)
4 users (show)

Fixed In Version: firefox-7.0.1-3.fc17
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-24 13:42:23 UTC


Attachments (Terms of Use)

Description Jeremy Bicha 2011-09-08 04:50:35 UTC
Description of problem:

Please rename mozilla-firefox.desktop to firefox.desktop. Not only does this match what other distros are doing but it also is used as one of GNOME Shell's default apps as of 3.1.90.

This was changed with this commit:
http://git.gnome.org/browse/gnome-shell/commit/?id=602862826105c4ac1424eefb0ead0d60a9386aef

Comment 1 Matěj Cepl 2011-09-08 14:13:18 UTC
This bug has been triaged

Comment 2 Jeremy Bicha 2011-09-18 05:46:18 UTC
With the latest gnome-shell (3.1.91), the mozilla-firefox.desktop favorite works (since Epiphany is now default, Fedora has to patch to set Firefox instead). While I'd prefer that Fedora follow the naming convention other distros use, I guess this is just wishlist now.

Comment 3 Fedora Update System 2011-10-24 13:40:37 UTC
firefox-7.0.1-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/firefox-7.0.1-2.fc15

Comment 4 Fedora Update System 2011-10-24 13:40:52 UTC
firefox-7.0.1-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/firefox-7.0.1-2.fc16

Comment 5 Martin Stransky 2011-10-24 14:57:33 UTC
Fixed in firefox-7.0.1-3.fc17.

Comment 6 Fedora Update System 2012-05-22 16:22:56 UTC
shared-mime-info-1.0-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/shared-mime-info-1.0-4.fc17


Note You need to log in before you can comment on or make changes to this bug.